<?php

/*

    状態表示

*/

require_once( 'include.php' );

$errmsg = FALSE;

header( 'Pragma: no-cache' );
header( 'Cache-Control: no-cache' );

try{
    $statusfile = get_statusfile();
    $status_array = array();
    if( file_exists( $statusfile ) ) read_csv( $statusfile, $status_array );

    $suspendfile = get_suspendfile();
    $suspend_time = 0;
    $suspend_pid = 0;
    if( file_exists( $suspendfile ) ){

        $suspend_status = file_get_contents( $suspendfile );
        $tmp = explode( ',', $suspend_status );
        $suspend_time = (int)$tmp[ 0 ];
        $suspend_pid = (int)$tmp[ 1 ];
    }
}
catch( Exception $e ){ $errmsg = $e->getMessage(); }


///////////////////////////////////////////////


// 表示

print(
    '<form action="./recfriio.php" method="post">'.
    '<input type="submit" value="表示更新">'
);

show_statustable( $status_array, 0, count( $status_array )-1 );

print( 
    '</form>'.
    '<br />'
    );


if( $suspend_pid && $suspend_pid ){

    $left = SUSPENDSEC - ( time() - $suspend_time );
    if( $left > 0 ){

        print( 
            '<form action="./recfriio.php" method="post">'.
            'サスペンドまであと '.$left.' 秒'.
            '<input type="hidden" name="id" value="'.$suspend_pid.'">'.
            ' <input type="submit" name="stop_spd" value="中止">'.
            '</form>'
            );
    }
    else print( 'サスペンド中・・・' );
}


// エラー表示
show_err( $errmsg );

?>
